Skip to main content

Update Site Subscription: RealPage Partner Exchange

PUThttps://api.propexo.com/v1/site-subscriptions/realpage_rpx/:property_id

Update the subscription of a RealPage integration to a property. This modifies whether or not a property is being ingested during syncs. Only properties set to "ACTIVE" have data associated with them synced, aside from some minimal property specific data. This is only applicable to integrations that contain multiple properties.

MethodInterface
UpdateSiteSubscriptionStatusAppPartner

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

property_id stringrequired

The Propexo unique identifier for the property

Request​

This endpoint expects an object.

    statusstringrequired

    Activates, disables, cancels, or sets a property to pending in RealPage

    Show 4 enum values
    ACTIVEPENDINGCANCELEDDENIED

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    property_idstringrequired

    The Propexo unique identifier for the property

    statusstringrequired

    Activates, disables, cancels, or sets a property to pending in RealPage

    Show 4 enum values
    ACTIVEPENDINGCANCELEDDENIED

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
PUT /v1/site-subscriptions/realpage_rpx/:property_id
curl -X PUT https://api.propexo.com/v1/site-subscriptions/realpage_rpx/:property_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"status": "ACTIVE"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"property_id": "string",
"status": "ACTIVE"
}
}